pscp(1)

NAME

pscp - command-line SCP (secure copy) / SFTP client

SYNOPSIS

pscp [options] [user@]host:source target
pscp [options] source [source...] [user@]host:target
pscp [options] -ls [user@]host:filespec

DESCRIPTION

pscp is a command-line client for the SSH-based SCP (secure copy) and SFTP (secure file transfer protocol) protocols.

OPTIONS

The command-line options supported by pscp are:

-V  Show version information and exit.

-ls Remote directory listing.

-p  Preserve file attributes.

-q  Quiet, don't show statistics.

-r  Copy directories recursively.

-unsafe
    Allow server-side wildcards (DANGEROUS).

-v  Show verbose messages.

-load session
    Load settings from saved session.

-P port
    Connect to port port.

-l user
    Set remote username to user.

-batch
    Disable interactive prompts.

-pw password
    Set remote password to password. CAUTION: this will likely make the password visible to other users of the local machine (via commands such as "w").

-1  Force use of SSH protocol version 1.

-2  Force use of SSH protocol version 2.

-C  Enable SSH compression.

-i path
    Private key file for authentication.

-scp
    Force use of SCP protocol.

-sftp
    Force use of SFTP protocol.

MORE INFORMATION

For more information on pscp it's probably best to go and look at the manual on the PuTTY web page:

http://www.chiark.greenend.org.uk/~sgtatham/putty/

BUGS

This man page isn't terribly complete. See the above web link for better documentation.